## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanFileOutputStream::XalanFileOutputStreamWriteException Class Reference

Inheritance diagram for XalanFileOutputStream::XalanFileOutputStreamWriteException:

[legend]
Collaboration diagram for XalanFileOutputStream::XalanFileOutputStreamWriteException:

[legend]
List of all members.

## Public Member Functions

- XalanFileOutputStreamWriteException (const XalanDOMString &theFileName, int theErrorCode, XalanDOMString &theBuffer)
    Construct an XalanFileOutputStreamOpen exception object for an exception that occurred while writing to a text file stream.
- virtual ~XalanFileOutputStreamWriteException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanFileOutputStream::XalanFileOutputStreamWriteException::XalanFileOutputStreamWriteException | ( | const XalanDOMString & | theFileName,
|  | int | theErrorCode,
|  | XalanDOMString & | theBuffer
| ) |

  | Construct an XalanFileOutputStreamOpen exception object for an exception that occurred while writing to a text file stream. Parameters:
  theFileName | name of file causing the exception
  theErrorCode | number of error encountered

virtual XalanFileOutputStream::XalanFileOutputStreamWriteException::~XalanFileOutputStreamWriteException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XalanFileOutputStream::XalanFileOutputStreamWriteException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanFileOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.